Bug 1947 - MD on Windows should reference Mono.Posix 4.0.0.0
Summary: MD on Windows should reference Mono.Posix 4.0.0.0
Status: CONFIRMED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General ()
Version: Trunk
Hardware: PC Windows
: Normal normal
Target Milestone: Future Cycle (TBD)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-11-08 13:58 UTC by Mikayla Hutchinson [MSFT]
Modified: 2017-06-02 09:02 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 1947 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
CONFIRMED

Description Mikayla Hutchinson [MSFT] 2011-11-08 13:58:37 UTC
Mono.Posix on Mono is a pseudo-framework assembly. If you build on Mono 4.0 runtime referencing any version of Mono.Posix, you get a 4.0.0.0 reference. However, on Windows, MD's built against Mono.Posix 2.0.0.0 (which works fine on 4.0 framework).

The problem is if an addin is built on Mono and distributed to Windows via the addin server, the addin will reference Mono.Posix 4.0.0.0, but this will fail to work on Windows because MD on Windows only has 2.0.0.0.
Comment 1 Marek Habersack 2011-11-15 15:26:20 UTC
*** Bug 1948 has been marked as a duplicate of this bug. ***
Comment 2 zaynyatyi 2013-10-27 11:09:35 UTC
Is there some workaround of that bug?
I'm writing monodevelop addin right now and got that problem.
Comment 3 Suat Korkmaz 2017-06-02 08:48:00 UTC
I've updated Xamarin to the latest stable for VS2015. No matter what I do I keep getting this error. I haven't had this problem before. I think it is something to do with the latest Xamarin.
Comment 4 Matt Ward 2017-06-02 09:02:39 UTC
@Suat - This particular bug is to do with MonoDevelop not Visual Studio on Windows. I suspect you are hitting this VS on Windows bug #56787